package com.skeleton.action;

import com.skeleton.model.*;
import org.jboss.seam.annotations.Name;
import org.jboss.seam.framework.EntityQuery;
import java.util.Arrays;

@Name("testTableList")
public class TestTableList extends EntityQuery<TestTable> {

	private static final String EJBQL = "select testTable from TestTable testTable";

	private static final String[] RESTRICTIONS = {};

	private TestTable testTable = new TestTable();

	public TestTableList() {
		setEjbql(EJBQL);
		setRestrictionExpressionStrings(Arrays.asList(RESTRICTIONS));
		setMaxResults(25);
	}

	public TestTable getTestTable() {
		return testTable;
	}
}
