package com.skeleton.Main;

import org.quartz.JobDataMap;
import org.quartz.JobDetail;
import org.quartz.JobExecutionContext;
import org.quartz.JobExecutionException;
import org.quartz.StatefulJob;
import org.jboss.seam.annotations.Name;

@Name("skeletonPipelineJob")
public class SkeletonPipelineJob implements StatefulJob {

	public void execute(JobExecutionContext aJobExecutionContext)
			throws JobExecutionException {

		JobDetail fJobDetail = aJobExecutionContext.getJobDetail();
		JobDataMap fDataMap = fJobDetail.getJobDataMap();
		SkeletonPipelineProcessor fSkeletonPipelineProcessor = (SkeletonPipelineProcessor) fDataMap
				.get("SkeletonPipelineProcessor");

		fSkeletonPipelineProcessor.doProcessing();
	}
}
