package com.skeleton.Main;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import com.skeleton.model.TestTable;

public class SkeletonSystem {

	private static final Log fLog = LogFactory.getLog(
		SkeletonSystem.class);
	
	EntityManager fEntityManager;

	private void initialise() {
		fLog.info("Initialising");
		
		EntityManagerFactory fEntityManagerFactory = Persistence.createEntityManagerFactory(
			"Skeleton_at_Seam_2.3.0.Final_JBoss_AS7.1.1.Final");
		fEntityManager = fEntityManagerFactory.createEntityManager();		
	}

	public SkeletonSystem() {
		super();
		initialise();
	}
	
	public void doProcessing() {
		fLog.info("Processing");		
		try {
			fEntityManager.clear();
			
			TestTable fTestTable = fEntityManager.find(
				TestTable.class, 1);	
			
			fLog.info(fTestTable.toString());
		}
		catch (Exception fException) {
			fLog.error(fException.getMessage());
		}				
	}	
}