package com.skeleton.action;

import com.skeleton.model.*;
import org.jboss.seam.annotations.Name;
import org.jboss.seam.framework.EntityHome;

@Name("testTableHome")
public class TestTableHome extends EntityHome<TestTable> {

	public void setTestTableMyPrimaryKeyNr(Integer id) {
		setId(id);
	}

	public Integer getTestTableMyPrimaryKeyNr() {
		return (Integer) getId();
	}

	@Override
	protected TestTable createInstance() {
		TestTable testTable = new TestTable();
		return testTable;
	}

	public void load() {
		if (isIdDefined()) {
			wire();
		}
	}

	public void wire() {
		getInstance();
	}

	public boolean isWired() {
		return true;
	}

	public TestTable getDefinedInstance() {
		return isIdDefined() ? getInstance() : null;
	}

}
